libsigc++: sigc::retype_return_functor< T_return, T_functor > Struct Template Reference

libsigc++ 2.10.1

Public Types | Public Member Functions | List of all members
sigc::retype_return_functor< T_return, T_functor > Struct Template Reference
Adaptors » retype(), retype_return()

Adaptor that performs a C-style cast on the return value of a functor. More...

`#include <sigc++/adaptors/retype_return.h>`

Inheritance diagram for sigc::retype_return_functor< T_return, T_functor >:
[legend]

## Public Types
typedef T_return | result_type
Public Types inherited from sigc::adapts< T_functor >
typedef adaptor_trait< T_functor >::adaptor_type | adaptor_type
typedef adaptor_trait< T_functor >::result_type | result_type

## Public Member Functions
| retype_return_functor ()
| retype_return_functor (type_trait_take_t< T_functor > _A_functor)
| Constructs a retype_return_functor object that perform a C-style cast on the return value of the passed functor. More...
T_return | operator() ()
template<class T_arg1 >
T_return | operator() (T_arg1 _A_a1)
template<class T_arg1 , class T_arg2 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1 , class T_arg2 , class T_arg3 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<class T_return, class T_functor>
struct sigc::retype_return_functor< T_return, T_functor >

Adaptor that performs a C-style cast on the return value of a functor.

Use the convenience function sigc::retype_return() to create an instance of retype_return_functor.

The following template arguments are used:

- T_return Target type of the C-style cast.
- T_functor Type of the functor to wrap.

## Member Typedef Documentation

## ◆ result_type

template <class T_return , class T_functor >

typedef T_return sigc::retype_return_functor< T_return, T_functor >::result_type

## Constructor & Destructor Documentation

## ◆ retype_return_functor() [1/2]

template <class T_return , class T_functor >

sigc::retype_return_functor< T_return, T_functor >::retype_return_functor | ( |  | ) |
| inline

## ◆ retype_return_functor() [2/2]

template <class T_return , class T_functor >

sigc::retype_return_functor< T_return, T_functor >::retype_return_functor | ( | type_trait_take_t< T_functor > | _A_functor | ) |
| inlineexplicit

Constructs a retype_return_functor object that perform a C-style cast on the return value of the passed functor.

Parameters

  _A_functor | Functor to invoke from operator()().

## Member Function Documentation

## ◆ operator()() [1/8]

template <class T_return , class T_functor >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( |  | ) |

## ◆ operator()() [2/8]

template <class T_return , class T_functor >
template <class T_arg1 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1 | ) |
| inline

## ◆ operator()() [3/8]

template <class T_return , class T_functor >
template <class T_arg1 , class T_arg2 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2
| ) |  |
| inline

## ◆ operator()() [4/8]

template <class T_return , class T_functor >
template <class T_arg1 , class T_arg2 , class T_arg3 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3
| ) |  |
| inline

## ◆ operator()() [5/8]

template <class T_return , class T_functor >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4
| ) |  |
| inline

## ◆ operator()() [6/8]

template <class T_return , class T_functor >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5
| ) |  |
| inline

## ◆ operator()() [7/8]

template <class T_return , class T_functor >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6
| ) |  |
| inline

## ◆ operator()() [8/8]

template <class T_return , class T_functor >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

T_return sigc::retype_return_functor< T_return, T_functor >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7
| ) |  |
| inline